### A free/open-source library for quantitative finance

Classes
ql/models/model.hpp File Reference

Abstract interest rate model class. More...

`#include <ql/option.hpp>`
`#include <ql/methods/lattices/lattice.hpp>`
`#include <ql/models/parameter.hpp>`
`#include <ql/models/calibrationhelper.hpp>`
`#include <ql/math/optimization/endcriteria.hpp>`
Include dependency graph for model.hpp:

## Classes

class | AffineModel
| Affine model class. More...
class | TermStructureConsistentModel
| Term-structure consistent model class. More...
class | CalibratedModel
| Calibrated model class. More...
class | ShortRateModel
| Abstract short-rate model class. More...

## Detailed Description

Abstract interest rate model class.